PreviousMapFeatureGenerator (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.featuregen

## Class PreviousMapFeatureGenerator

- java.lang.Object
- - opennlp.tools.util.featuregen.PreviousMapFeatureGenerator

- All Implemented Interfaces:
    AdaptiveFeatureGenerator

      public class PreviousMapFeatureGenerator
      extends Object
      implements AdaptiveFeatureGenerator

  This `AdaptiveFeatureGenerator` generates features indicating the outcome associated with a previously occuring word.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreviousMapFeatureGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearAdaptiveData()` Clears the previous map.
    `void` | `createFeatures(List<String> features, String[] tokens, int index, String[] preds)` Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.
    `void` | `updateAdaptiveData(String[] tokens, String[] outcomes)` Generates previous decision features for the token based on contents of the previous map.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreviousMapFeatureGenerator

          public PreviousMapFeatureGenerator()

  - ### Method Detail

    - #### createFeatures

          public void createFeatures(List<String> features,
                                     String[] tokens,
                                     int index,
                                     String[] preds)

      Description copied from interface: `AdaptiveFeatureGenerator`
      Adds the appropriate features for the token at the specified index with the specified array of previous outcomes to the specified list of features.
      Specified by:
        `createFeatures` in interface `AdaptiveFeatureGenerator`
      Parameters:
        `features` - The list of features to be added to.
        `tokens` - The tokens of the sentence or other text unit being processed.
        `index` - The index of the token which is currently being processed.
        `preds` - The outcomes for the tokens prior to the specified index.

    - #### updateAdaptiveData

          public void updateAdaptiveData(String[] tokens,
                                         String[] outcomes)

      Generates previous decision features for the token based on contents of the previous map.
      Specified by:
        `updateAdaptiveData` in interface `AdaptiveFeatureGenerator`
      Parameters:
        `tokens` - The tokens of the sentence or other text unit which has been processed.
        `outcomes` - The outcomes associated with the specified tokens.

    - #### clearAdaptiveData

          public void clearAdaptiveData()

      Clears the previous map.
      Specified by:
        `clearAdaptiveData` in interface `AdaptiveFeatureGenerator`

Copyright © 2026 The Apache Software Foundation. All rights reserved.